Bug 436086 - PNG image in CBZ wrapper does not display correctly (but PNG itself does)
Summary: PNG image in CBZ wrapper does not display correctly (but PNG itself does)
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: Comicbook backend (show other bugs)
Version: 20.12.3
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-23 09:19 UTC by Gaëtan Gilbert
Modified: 2021-05-13 15:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.04.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gaëtan Gilbert 2021-04-23 09:19:07 UTC
The files attached at https://bugs.kde.org/show_bug.cgi?id=307080 do not work for me with okular 20.12.3 (debian testing, KDE frameworks 5.78.0, Qt 5.15.2, libpng 1.6.37-3)

Both attached cbz display the okular icon and output on stderr:

libpng warning: zTXt: CRC error
libpng error: PNG unsigned integer out of range
QImage::scaled: Image is a null image
libpng warning: zTXt: CRC error
libpng error: PNG unsigned integer out of range
QImage::scaled: Image is a null image
libpng warning: zTXt: CRC error
libpng error: PNG unsigned integer out of range
QImage::scaled: Image is a null image
libpng warning: zTXt: CRC error
libpng error: PNG unsigned integer out of range
QImage::scaled: Image is a null image

(the same thing for both files, on files without buggy images nothing is printed)

Opening the images directly without the cbz wrapper works fine.
Comment 1 Bug Janitor Service 2021-05-12 20:53:03 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/424
Comment 2 Albert Astals Cid 2021-05-12 22:29:38 UTC
Git commit f31152d389fc5ce348f836c749d66e71a66f3949 by Albert Astals Cid.
Committed on 12/05/2021 at 20:52.
Pushed by aacid into branch 'release/21.04'.

Fix loading some png files inside zip comicbook files

M  +9    -1    generators/comicbook/document.cpp

https://invent.kde.org/graphics/okular/commit/f31152d389fc5ce348f836c749d66e71a66f3949